[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadExecuteCallBack

Signature of procedure to execute in a thread, without status reporting

## Declaration

Source position: classesh.inc line 1697

`type TThreadExecuteCallBack = procedure(`
`AData: Pointer`
`);`

## Description

TThreadExecuteCallBack is the signature of the static procedure to be used when executing something in a thread using TThread.ExecuteInThread when no status reporting is required.

## See also

TThread.ExecuteInThread |  | Execute a method or static procedure in a thread
TThreadReportStatus |  | Thread status report callback prototype
TThreadStatusNotifyEvent |  | Signature of thread status report event handler
TThreadExecuteStatusCallBack |  | Signature of procedure to execute in a thread, with status reporting